io.vertx.reactivex.mysqlclient

## Class MySQLPool

- java.lang.Object
- - io.vertx.reactivex.sqlclient.SqlClient
  - - io.vertx.reactivex.sqlclient.Pool
    - - io.vertx.reactivex.mysqlclient.MySQLPool

-     public class MySQLPool
      extends Pool

  A of `MySQL Connections`.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<MySQLPool>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MySQLPool(MySQLPool delegate)`
    `MySQLPool(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `MySQLPool` | `getDelegate()`
    `int` | `hashCode()`
    `static MySQLPool` | `newInstance(MySQLPool arg)`
    `static MySQLPool` | `pool(MySQLConnectOptions connectOptions, PoolOptions poolOptions)` Create a connection pool to the MySQL server configured with the given `connectOptions` and `poolOptions`.
    `static MySQLPool` | `pool(String connectionUri)` Like `pool(java.lang.String)` with a default `poolOptions`.
    `static MySQLPool` | `pool(String connectionUri, PoolOptions poolOptions)` Like `pool(java.lang.String)` with `connectOptions` build from `connectionUri`.
    `static MySQLPool` | `pool(Vertx vertx, MySQLConnectOptions connectOptions, PoolOptions poolOptions)` Like `pool(java.lang.String)` with a specific instance.
    `static MySQLPool` | `pool(Vertx vertx, String connectionUri)` Like `pool(java.lang.String)` with a default `poolOptions`..
    `static MySQLPool` | `pool(Vertx vertx, String connectionUri, PoolOptions poolOptions)` Like `pool(java.lang.String)` with `connectOptions` build from `connectionUri`.
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.reactivex.sqlclient.Pool

      `close, close, getConnection, getConnection, newInstance, pool, pool, pool, preparedQuery, query, rxClose, rxGetConnection, rxWithConnection, rxWithConnection, rxWithTransaction, rxWithTransaction, withConnection, withConnection, withConnection, withConnection, withTransaction, withTransaction, withTransaction, withTransaction`

    - ### Methods inherited from class io.vertx.reactivex.sqlclient.SqlClient

      `newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<MySQLPool> __TYPE_ARG

  - ### Constructor Detail

    - #### MySQLPool

          public MySQLPool(MySQLPool delegate)

    - #### MySQLPool

          public MySQLPool(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Pool`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Pool`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Pool`

    - #### getDelegate

          public MySQLPool getDelegate()

      Overrides:
        `getDelegate` in class `Pool`

    - #### pool

          public static MySQLPool pool(String connectionUri)

      Like `pool(java.lang.String)` with a default `poolOptions`.
      Parameters:
        `connectionUri` -
      Returns:

    - #### pool

          public static MySQLPool pool(String connectionUri,
                                       PoolOptions poolOptions)

      Like `pool(java.lang.String)` with `connectOptions` build from `connectionUri`.
      Parameters:
        `connectionUri` -
        `poolOptions` -
      Returns:

    - #### pool

          public static MySQLPool pool(Vertx vertx,
                                       String connectionUri)

      Like `pool(java.lang.String)` with a default `poolOptions`..
      Parameters:
        `vertx` -
        `connectionUri` -
      Returns:

    - #### pool

          public static MySQLPool pool(Vertx vertx,
                                       String connectionUri,
                                       PoolOptions poolOptions)

      Like `pool(java.lang.String)` with `connectOptions` build from `connectionUri`.
      Parameters:
        `vertx` -
        `connectionUri` -
        `poolOptions` -
      Returns:

    - #### pool

          public static MySQLPool pool(MySQLConnectOptions connectOptions,
                                       PoolOptions poolOptions)

      Create a connection pool to the MySQL server configured with the given `connectOptions` and `poolOptions`.
      Parameters:
        `connectOptions` - the options for the connection
        `poolOptions` - the options for creating the pool
      Returns:
        the connection pool

    - #### pool

          public static MySQLPool pool(Vertx vertx,
                                       MySQLConnectOptions connectOptions,
                                       PoolOptions poolOptions)

      Like `pool(java.lang.String)` with a specific instance.
      Parameters:
        `vertx` -
        `connectOptions` -
        `poolOptions` -
      Returns:

    - #### newInstance

          public static MySQLPool newInstance(MySQLPool arg)

Copyright © 2021 Eclipse. All rights reserved.